Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228484 - Review Request: hunspell-lt - Lithuanian hunspell dictionaries
Summary: Review Request: hunspell-lt - Lithuanian hunspell dictionaries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 11:15 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 16:33:13 UTC
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 11:15:12 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-lt.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-lt-1.1-1.20061127cvs.src.rpm
Description: Lithuanian hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-13 23:56:23 UTC
GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream, is the last available version , sha1sum 
adbd9ce3c1655ecb524d79d98a4c4c0c6691a76f  lt_LT-1.1+cvs20061127.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license BSD stated in the tag is the same as the web site says; it is
not included in the package because upstream did not include it either
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

SHOULD: please ask upstream to include the license file (they reference it in
README.EN but they did not include it)
I think that it would not hurt to include the INSTRUCIJOS.TXT file, too in %doc

APPROVED

Comment 2 Caolan McNamara 2007-02-15 16:33:13 UTC
 27658 (hunspell-lt): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.